---
layout: default
title: "Call for Participation"
---

# 2015

## Intro

The goal of the Ruby devroom is to host technical content focused around the Ruby
language and the numerous open source projects and initiatives which implement,
extend and instrument the Ruby language.

The time format for presentations in the Ruby devroom is not set in stone, but
the ideal duration is around 35-45 minutes with Q&A included.

We are open to suggestions for panels and/or more open, moderated, discussions
provided the topics proposed fit with the theme of the room.


### Talks/topics we'd like to see

Some suggestions on the kinds of topics we would like to see discussed in the
Ruby devroom:

* The current state of the Ruby language itself
* Presentations on the techniques employed by various Ruby virtual machines and
  interpreters, along with the effectiveness and/or trade-offs of implementing
  those techniques
* Upcoming Ruby language features, and the implementation challenges and/or
  user benefits that they provide
* Tools and practices used to certify Ruby language conformity and evaluate its
  performance

## Submitting

To submit a proposal to present in the Ruby devroom, please submit your
proposal on [penta.fosdem.org](https://penta.fosdem.org/submission/FOSDEM15).

### Steps

1. You *will* need to create an account if you do not already have an account from previous years.
1. Click the "Create event" link
1. Enter the details for your presentation
1. You **must** select the "**Ruby devroom**" track in your submission. If you
   don't we might never see your proposal!
1. Submit!


Presentation are recorded and will be made available with CC-BY licence by
FOSDEM.


## Important Dates

* End of the Call for Participation: **December 1st, 2014**
* Announcement of accepted proposals: **December 15th, 2014**
* FOSDEM 2015: **January 31st and February 1st, 2015**

## Selection Committee

{% include committee.md %}
