---
layout: default
title: "FOSDEM &lt;3 Ruby"
subtitle: "The #1 Ruby language devroom at FOSDEM"
---


The Ruby devroom at [FOSDEM](http://fosdem.org) is a focused developer room
around the Ruby programming language and the open source projects which
implement it. While the Ruby community does have a number of regional
conferences devoted to its use, opportunities for those interested in the "how
it works" of Ruby interpreters and virtual machines are practically
non-existent. The goal of this developer room is to discuss:

* The current state of the Ruby language
* Techniques employed by various VMs and their effectiveness
* Upcoming Ruby language features, and the challenges/benefits that they provide
* Tools and practices used to certify Ruby language conformity and performance
* Costs and Opportunities provided by the multitude of implementations


### Involved projects

* [JRuby](http://jruby.org)
* [Ruby (MRI)](https://www.ruby-lang.org/)
* [RubyTruffle](http://www.chrisseaton.com/rubytruffle/)
* [Rubinius (Ruby on Ruby)](http://rubini.us/)



## Why we're here

While many Ruby developers attend FOSDEM, the Ruby open source community has
generally been underrepresented in the technical content of the event. With the
Ruby devroom not only would the Ruby community become more plugged into the
FOSDEM experience, but FOSDEM would be hosting Ruby-oriented content that is
both unique and very technical. Considering the broad interest in dynamic and
interpreted languages, the Ruby devroom will also provide compelling technical
content interesting to members of the Python, Perl, JavaScript, Smalltalk, LLVM
and Java communities. There is quite some interest in the topic, as the
overcrowded Java dev room if  [Charles Oliver
Nutter's](https://github.com/headius) talk on JRuby in the FOSDEM 2014 Free
Java devroom is any indication.

Considering the number of notable Ruby implementations, listed below, there
should be more than enough highly interesting and technical content!

* Ruby (MRI, the original C-based VM)
* JRuby (Ruby on the JVM)
* Rubinius (Ruby on Ruby)
* Topaz (Ruby on RPython, the toolkit that PyPy built)
* RubyTruffle (JRuby using Oracle's Truffle compiler)
* RubyMotion (Ruby on top of Apple's Objective-C/Cocoa foundation)
* Maglev (Ruby on the GemStone Smalltalk VM)
* Opal (A working Ruby to JavaScript transpiler)



## Who we are 

{% include committee.md %}
